{% extends template_base %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/bootstrap-daterangepicker/daterangepicker.css' %}" rel="stylesheet" />


<link href="{% static 'plugins/simple-line-icons/css/simple-line-icons.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}
<!-- begin nav-pills -->
<ul class="nav nav-pills">
  <li class="nav-items">
    <a href="#tab-general" data-toggle="tab" class="nav-link active">
      <span>General</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-list_onu" data-toggle="tab" class="nav-link">
      <span>Lista ONUs</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-ports" data-toggle="tab" class="nav-link">
      <span>F/S/P</span>
    </a>
  </li>  
  <li class="nav-items">
    <a href="#tab-vlans" data-toggle="tab" class="nav-link">
      <span>VLANs</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-interfaces" data-toggle="tab" class="nav-link">
      <span>Tarjetas</span>
    </a>
  </li>  
  <!-- <li class="nav-items">
    <a href="#tab-gem_port" data-toggle="tab" class="nav-link">
      <span>GEM port</span>
    </a>
  </li> -->
  <li class="nav-items">
    <a href="#tab-velocidades" data-toggle="tab" class="nav-link">
      <span>Velocidades</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-usuarios" data-toggle="tab" class="nav-link">
      <span>Usuarios</span>
    </a>
  </li>    
  <!-- <li class="nav-items">
    <a href="#tab-notificaciones" data-toggle="tab" class="nav-link">
      <span>Notificaciones</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-logs" data-toggle="tab" class="nav-link">
      <span>Logs</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-syslog" data-toggle="tab" class="nav-link">
      <span>Syslog</span>
    </a>
  </li>   -->
</ul>


<!-- end nav-pills -->
<!-- begin tab-content -->
<div class="tab-content">
  <!-- begin tab-pane -->
  <div class="tab-pane fade show active" id="tab-general">
    <div class="row">
      <div class="col">
        <div class="panel panel-inverse" data-sortable-id="p1">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Información general</h4>
        </div>
        <div class="panel-body panel-form m-10">

          <span class="br">Alias:
            <i id="olt_alias" data-placement="right" data-toggle="tooltip" title='<i class="icon-pencil"></i>' data-html="true" contenteditable="true" data-olt="true"></i>
          </span>
          <span class="br">Dirección IP: <i id="olt_ip"></i></span>
          <span class="br">Estado: <i id="olt_estatus"></i></span>
          <span class="br">Descripción :
            <i id="olt_description" data-placement="right" data-toggle="tooltip" title='<i class="icon-pencil"></i>' data-html="true" contenteditable="true" data-olt="true"></i>
          </span>
          <span class="br">Nodo de Corte UTP:<i id="olt_nodo_utp"></i></span>
          <hr style="background: #4488de;">
          <span class="br">Marca : <i id="olt_brand"></i></span>
          <span class="br">Modelo : <i id="olt_model"></i></span>
          <span class="br">Versión Firmware : <i id="olt_firmware"></i></span>
        </div>
        </div>
      </div>
      <div class="col">
        <div class="panel panel-inverse" data-sortable-id="p2">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Salud del equipo</h4>
        </div>
        <div class="panel-body panel-form m-10">
          <span class="br">Uso del CPU: <i id="olt_cpu"></i></span>
          <span class="br">Uso de Memoria: <i id="olt_ram"></i></span>
          <span class="br">Temperatura: <i id="olt_temperature"></i></span>
          <span class="br">Consumo Eléctrico : <i id="olt_watts"></i></span>          
        </div>
        </div>
      </div>
      <div class="col">
        <div class="panel panel-inverse" data-sortable-id="p3">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Tarjetas y capacidad</h4>
        </div>
        <div class="panel-body panel-form m-10" id="interfaces">
        </div>
        </div>
      </div>      

    </div>
  </div>
  <!-- end tab-pane -->


  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-list_onu">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable('#table_onus_olt');" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">ONU Devices <span class="olt_name"></span>
          <span style="float: right; padding-left: 5px;" class="onus_last_update" > Fecha </span>
          <span style="float: right;" >   Ult. Actualizacion: </span>
        </h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        
        <!-- <button onclick="taskUptimeOnus()" class="btn btn-success" style="float: right;">Actualizar uptime</button> -->
        <!-- <button onclick="taskGetIpOnus()" class="btn btn-success" style="float: right;">Actualizar ips</button> -->
       
        <div>
          <button onclick="taskGetONU()" class="btn btn-success" style="float: right;">Actualizar ONUS</button>
        </div>
        <div>
          <button onclick="updateNetworkStatus()" class="btn btn-success mr-2" style="float: right;">Actualizar Estado de Red</button>
        </div>
        <div class="row">
          Filtrar por:
          <div class="col col-md-2">
            <select class="form-control" id="filter_status">
              <option>Estado</option>
              <option>ONLINE</option>
              <option>OFFLINE</option>
            </select>
          </div>
          <div class="col col-md-2">
            <select class="form-control" id="filter_desprovisionadas">
              <option>Provisionadas</option>
              <option>Desprovisionadas</option>
            </select>
          </div>
          <div class="col col-md-2"><select class="form-control" id="filter_model"></select></div>
          <div class="col col-md-2"><select class="form-control" id="filter_fsp"></select></div>
        </div>

        <div class="table-responsive">
          
          <table class="table" style="width: 100% !important" id="table_onus_olt">
            <thead>   
              <tr>
                <th nowrap="">Contador</th>
                <th nowrap="">ID</th>
                <th nowrap="">Nro. Servicio</th>
                <th>Estado</th>
                <th>Estado de Red</th>
                <th nowrap="">Tiempo Online</th>
                <th nowrap="">SN</th>
                <th nowrap="">Modelo</th>
                <th nowrap="">Descripción</th>
                <th nowrap="">Distancia</th>
                <th nowrap="">Señal optica</th>
                <th nowrap>MAC</th>
                <th nowrap="">IP</th>
                <th nowrap="">Activar Servicio en Matrix</th>
                <th nowrap="">Corte</th>
                <th nowrap="">Reposición</th>
                <th nowrap="">Establecer como Equipo Primario</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->

  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-ports">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">F/S/P de OLT <span class="olt_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_ports">
            <thead>   
              <tr>
                <th nowrap="">id F/S/P</th>
                <th nowrap="">F/S/P</th>
                <th nowrap="">Descripción</th>
                <th nowrap="">ONUs Online</th>
                <th nowrap="">ONUs total</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
            <tfoot>
              <tr>
                <th colspan="3"></th>
                <th nowrap=""></th>
                <th nowrap=""></th>
              </tr>
            </tfoot>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->

  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-vlans">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">VLANs de OLT <span class="olt_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <!-- begin table-responsive -->
        <div>
          <button onclick="taskGetVlans()" class="btn btn-success mb-1" style="float: right;" >Actualizar VLANs</button>
        </div>
        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_vlans">
            <thead>   
              <tr>
                <th nowrap="">VLAN id</th>
                <th nowrap="">Tipo VLAN</th>
                <th nowrap="">VLAN del sistema</th>
                <th nowrap="">Descripción</th>
                <th nowrap="">Service port</th>
                <th nowrap="">Associated ports</th>
                <th nowrap="">Actions</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->



  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-interfaces">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Tarjetas de OLT <span class="olt_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <!-- begin table-responsive -->
        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_interfaces">
            <thead>   
              <tr>
                <th nowrap="">Slot id</th>
                <th nowrap="">Modelo</th>
                <th nowrap="">Onus</th>
                <th nowrap="">Onus activas</th>
                <th nowrap="">Puertos</th>
                <th nowrap="">Puertos activos</th>
                <th nowrap="">Serial</th>
                <th nowrap="">Descripción de estado</th>
                <th nowrap="">Usado</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
            <tfoot>
              <tr>
                <th colspan="2"></th>
                <th nowrap=""></th>
                <th nowrap=""></th>
                <th nowrap=""></th>
                <th nowrap=""></th>
                <th colspan="3"></th>
              </tr>
            </tfoot>            
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->

  <!-- begin tab-pane -->
  <!-- <div class="tab-pane fade show" id="tab-gem_port">
    <div class="row">
    </div>
  </div> -->
  <!-- end tab-pane -->

  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-velocidades">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Velocidades de OLT <span class="olt_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <!-- begin table-responsive -->       
        <div class="table-responsive">
          <div>
            <button onclick="taskGetSpeedsOLT()" class="btn btn-success" style="float: right;">Actualizar velocidad</button>
            <div class="m-b-10"> <a href="#modal-create-speed" class="btn btn-sm btn-success" data-toggle="modal">Crear Velocidad</a></div>
          </div>

          <table class="table" style="width: 100% !important" id="table_speeds">
            <thead>   
              <tr>
                <th nowrap="">Tid </th>
                <th nowrap="">Nombre </th>
                <th nowrap="">Cir</th>
                <th nowrap="">Cbs </th>
                <th nowrap="">Pir </th>
                <th nowrap="">Pbs </th>
                <th nowrap="">Pri </th>
                <th nowrap="">Tidsis </th>
                <th nowrap="">Acciones </th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->


  <!-- begin tab-pane usuarios -->
  <div class="tab-pane fade show" id="tab-usuarios">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Usuarios de OLT <span class="olt_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <!-- begin table-responsive -->       
        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_olt_users">
            <thead>   
              <tr>
                <th nowrap="">Nombre </th>
                <th nowrap="">Nivel </th>
                <th nowrap="">Status </th>
                <th nowrap="">Reenter Num </th>
                <th nowrap="">Profile </th>
                <th nowrap="">Append Info </th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->


  <!-- begin tab-pane -->
  <!-- <div class="tab-pane fade show" id="tab-notificaciones">
    <div class="row">
    </div>
  </div> -->
  <!-- end tab-pane -->

  <!-- begin tab-pane -->
  <!-- <div class="tab-pane fade show" id="tab-logs">
  <div class="panel panel-inverse"> -->
      <!-- begin panel-heading -->
      <!-- <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Logs <span class="olt_name"></span></h4>
      </div> -->
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <!-- <div class="panel-body">
        <div class="row">
          Filtrar por:
          <div class="col col-md-2"><select class="form-control" id="filter_type_log"></select></div>
          <div class="col col-md-2"><select class="form-control" id="filter_type_action"></select></div>
        </div>
        <br> -->
        <!-- begin table-responsive -->       
        <!-- <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_logs">
            <thead>   
              <tr>
                <th nowrap="">Creado</th>
                <th nowrap="">Usuario</th>
                <th nowrap="">Entidad</th>
                <th nowrap="">Representacion</th>
                <th nowrap="">Valor Identificador</th>
                <th>accion</th>
                <th nowrap="">Descripcion</th>
              </tr>
            </thead>
            <tbody></tbody>
          </table>
        </div> -->
        <!-- end table-responsive -->
      <!-- </div> -->
      <!-- end panel-body -->
    <!-- </div>
  </div> -->
  <!-- end tab-pane -->   
  
  <!-- begin tab-pane -->
  <!-- <div class="tab-pane fade show" id="tab-syslog">
    <div class="panel panel-inverse"> -->
         <!-- begin panel-heading -->
         <!-- <div class="panel-heading ui-sortable-handle">
           <div class="panel-heading-btn">
             <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
             <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
             <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
           </div>
           <h4 class="panel-title">Syslog <span class="olt_name"></span></h4>
         </div> -->
         <!-- end panel-heading -->
         <!-- begin panel-body -->
         <!-- <div class="panel-body">
           <div class="row">
             Filtrar por:
             esto debe ser un date range calendar
             <div class="col col-md-2">
              <div class="input-group" id="advance-daterange">
                <input type="text" name="advance-daterange" class="form-control form-control-sm" value="" placeholder="Seleccione un rango de fecha" />
                <span class="input-group-append">
                    <span class="input-group-text"><i class="fa fa-calendar"></i></span>
                </span>
              </div>
             </div> -->

             <!-- <div class="col col-md-2"><select class="form-control" id="filter_ip_sys">
               <option value="">IP</option>
             </select></div>
             <div class="col col-md-2"><select class="form-control" id="filter_user_sys">
               <option value="">Usuario-MAC</option>
             </select></div>
             <div class="col col-md-2"><select class="form-control" id="filter_type_syslog_sys">
               <option value="">Tipo</option>
             </select></div>
             <div class="col col-md-2"><select class="form-control" id="filter_origin_syslog_sys">
              <option value="">Origen</option>
            </select></div>
           </div>
           <br> -->
           <!-- begin table-responsive        -->
           <!-- <div class="table-responsive">
             <table class="table" style="width: 100% !important" id="table_syslog">
               <thead>   
                 <tr>
                   <th nowrap="">Fecha</th>
                   <th nowrap="">Hora</th>
                   <th nowrap="">IP</th>
                   <th nowrap="">Usuario-MAC</th>
                   <th nowrap="">Tipo de Log</th>
                   <th nowrap="">Origen</th>
                   <th nowrap="">Identificador</th>
                   <th nowrap="">Mensaje</th>
                   <th>Acción</th>
                 </tr>
               </thead>
               <tbody></tbody>
             </table>
           </div> -->
           <!-- end table-responsive -->
         <!-- </div> -->
         <!-- end panel-body -->
     <!--   </div>
     </div> -->
     <!-- end tab-pane    -->
<!-- </div> -->
<!-- end tab-content -->


<!-- #modal-dialog -->
<div class="modal fade" id="modal-dialog" data-keyboard="true" data-backdrop="static">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Actualizando OLT <span class="olt_name"></span></h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <p>
          <span class="spinner"></span>
        </p>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
      </div>
    </div>
  </div>
</div>



<div class="modal fade" id="modal-vlan">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Asociar VLAN sistema</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="nodes_olt">VLAN Sistema</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="vlan_system">
            </select>
            <div id="error_olt_vlan"></div>
          </div>
          <input type="hidden" id="id_olt_vlan">
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="vlanOltSystemAsociar()">Asociar</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-speed">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Asociar Velocidad sistema</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_speed"></div>
        <div class="form-group row m-b-15">

          <div class="col-md-4 col-sm-4 col-form-label" for="nodes_olt">Nombre en OLT</div>
          <div class="col-md-8 col-sm-8">
            <div id="name_in_olt_speed"></div>
          </div>
                    
          <label class="col-md-4 col-sm-4 col-form-label" for="nodes_olt">Velocidad Sistema</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="speed_system">
            </select>
            <div id="error_olt_speed"></div>
          </div>
          <input type="hidden" id="id_olt_speed">
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="speedOltSystemAsociar()">Asociar</button>
      </div>
      </form>
    </div>
  </div>
</div>


<div class="modal fade" id="modal-create-speed">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Crear velocidad para <span class="olt_name"></span></h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_modal_speed"></div>
    
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="name_speed">Nombre</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" id="name_speed" data-parsley-required="true" placeholder="nombre de la velocidad" maxlength="32" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="tid">Tid</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="tid" name="tid" placeholder="tidsis de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="cir">Cir</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="cir" placeholder="cir de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>
         
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="cbs">Cbs</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="cbs" placeholder="cbs de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pir">Pir</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pir" placeholder="pir de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pbs">Pbs</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pbs" placeholder="pbs de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pri">Pri</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pri" placeholder="pri de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="createSpeedPerform()">Crear</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>

<script src="{% static 'plugins/bootstrap-daterangepicker/daterangepicker.js' %}"></script>
<script src="{% static 'scripts/daterange-obj.js' %}"></script>
<script type="text/javascript" id="insert_script_here">
var no_cache_random =  Math.random().toString(36).substr(2, 5);
appendScript("{% static 'scripts/olt_detail.js' %}?no_cache=" + no_cache_random);
</script>
{% endblock extra_js %}